%{!?python_sitelib: %define python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Summary: Package Installation, Removal and Update Tools
Name: pirut
Version: 1.2.10
Release: 1.9AX
License: GPL
Group: Applications/System
URL: http://fedoraproject.org
Source0: %{name}-%{version}.tar.gz
Patch1:  pirut-1.2.10.remove_category_window.patch
Patch2:  pirut-1.2.10-check_user_visible.patch
Patch3:  pirut-1.2.10-desktop-NoDisplay.patch
Patch4:  pirut-1.2.10.remove_show_pixmap_and_do_clear_refresh.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: pygtk2 >= 2.9.2
Requires: pygtk2-libglade, yum >= 2.9.5, comps-extras, rhpl
Requires: gnome-python2-gconf, notify-python
Requires: usermode
Obsoletes: system-config-packages, redhat-config-packages, pup
Obsoletes: up2date-gnome, rhn-applet
BuildArch: noarch
BuildRequires: intltool gettext python

%description
pirut (pronounced "pirate") provides a set of graphical tools for managing 
software.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README NEWS AUTHORS
%dir %{python_sitelib}/pirut
%{python_sitelib}/pirut/*.py
%{python_sitelib}/pirut/*.pyc
%{python_sitelib}/pirut/*.pyo
%{_bindir}/*
%exclude %{_bindir}/pup*
%exclude %{_bindir}/pirut
%exclude %{_bindir}/system-*
%{_sbindir}/*
%exclude %{_sbindir}/pup*
%exclude %{_sbindir}/pirut
%exclude %{_sbindir}/system-*
%config(noreplace) %{_sysconfdir}/pam.d/*
%exclude %{_sysconfdir}/pam.d/pup
%config(noreplace) %{_sysconfdir}/security/console.apps/*
%exclude %{_sysconfdir}/security/console.apps/pup
%config(noreplace) %{_sysconfdir}/xdg/autostart/*
%exclude %{_sysconfdir}/xdg/autostart/puplet.desktop
%{_datadir}/applications/*.desktop
%exclude %{_datadir}/applications/pup.desktop
%dir %{_datadir}/pirut
%dir %{_datadir}/pirut/ui
%{_datadir}/pirut/ui/*.glade
%dir %{_datadir}/pirut/pixmaps
%{_datadir}/pirut/pixmaps/*.png
%{_datadir}/pixmaps/*png

%{_mandir}/man8/pirut.8*
%exclude %{_mandir}/man8/pup.8*
%exclude %{_mandir}/man8/puplet.8*
%{_mandir}/man8/system-cdinstall-helper.8*
%{_mandir}/man8/system-install-packages.8*

%changelog
* Wed Jul 18 2007 Pang Dawei <dwpang@redflag-linux.com> - 1.2.10-1.9AX
- modify spec:remove the useless pirut supplied command 

* Fri Jun 29 2007 Pang Dawei <dwpang@redflag-linux.com> - 1.2.10-1.8AX
- Patch4: remove show pixmap and do TreeStore clear when refresh

* Thu Jun 28 2007 Xiao Liu <xiaoliu@redflag-linux.com> - 1.2.10-1.7AX
- add Patch#3 to hide "add/remove software" from applications menu
  because we will use rpmmanager instead it

* Mon Jun 18 2007 Hiroshi Hara <hhara@miraclelinux.com> - 1.2.10-1.6AX
- hide groups which are set hide in comps on Customize
  (Patch2, bug#2985)

* Tue Jun  5 2007 Ryoji Kamei <kamei@miraclelinux.com> - 1.2.10-1.5AX
- remove pup related stuffs, these are depend on rhn. (bug #2331)

* Wed May 16 2007 Pang Dawei <dwpang@redflag-linux.com> - 1.2.10-1.4AX
- remove pirut-1.2.10-add_select_and_deselect_everything.patch,
  because this patch is temporary for beta1 release. and this problem
  was fixed in anaconda. (bug#2391)

* Tue Apr 18 2007 Pang Dawei <dwpang@redflag-linux.com> - 1.2.10-1.3AX
- add select and deselect everything function (fix bug#2340)
 
* Tue Apr 17 2007 Ryoji Kamei <kamei@miraclelinux.com> - 1.2.10-1.2AX
- remove desktop-file-utils/rhn-setup-gnome dependency for Asianux

* Wed Apr 4 2007 ax-anaconda <ax-anaconda@asianux.com> - 1.2.10-1.1AX
- patch1:remove category window for Asianux installer

* Wed Dec 13 2006 James Bowes <jbowes@redhat.com> - 1.2.10-1
- Don't show 'No updates available' on mouse scroll (David Timms, #219075)
- Fix traceback in progress.py (katzj, #218417)
- Add man pages (#218731)
- Add Requires: rhn-setup-gnome (#218617)

* Thu Nov 30 2006 Jeremy Katz <katzj@redhat.com> - 1.2.9-1
- rpmlint fixes to packaging (jbowes)
- translation fixes (#212877)
- Disable linking to bugs and CVEs to avoid launching 
  firefox as root (lmacken, #216552)
- translation updates

* Fri Nov 10 2006 Jeremy Katz <katzj@redhat.com> - 1.2.8-1
- Clear deps on transaction cancel (#213421)
- Make puplet text be "View Updates..." (#214627)
- More verbose error for yum-updatesd not being available (#213520)
- Stick information about a package requiring a reboot in the details (#214794)

* Mon Nov  6 2006 Jeremy Katz <katzj@redhat.com> - 1.2.7-1
- Fix traceback with packages with an empty description (#212276)
- Show the dep dialog for removals and don't auto-timeout it (#212703)
- Make puplet translations work (#212877)
- Don't log in other langs (#213145)
- Fix view menu (#213562)
- Fix a silly typo in the cdinstaller text (#210696)
- On failure, undo dep installs (#213628)
- Allow multiple selection in pup (#195465)
- Fix searching in pup to be more obvious (#213639)
- Set puplet icon to downloading when we're getting things (#210463)

* Wed Oct 25 2006 Jeremy Katz <katzj@redhat.com> - 1.2.6-1
- cdinstaller fixes (#212017, #211873)

* Fri Oct 20 2006 Jeremy Katz <katzj@redhat.com>
- obsolete rhn-applet and up2date-gnome (#211540)

* Thu Oct 12 2006 Jeremy Katz <katzj@redhat.com> - 1.2.5-1
- puplet: remove import of egg.trayicon 

* Tue Oct 10 2006 Jeremy Katz <katzj@redhat.com> - 1.2.4-1
- More updated translations 
- Raise error on error in repo setup (jbowes, #208845)
- puplet: Show menu on left click (#209990)

* Tue Oct  3 2006 Jeremy Katz <katzj@redhat.com> - 1.2.3-1
- Updated translations
- Fix right click menu popup with only one thing selected (#208846)

* Thu Sep 28 2006 Bill Nottingham <notting@redhat.com> - 1.2.2-1
- fix desktop file (#208519)

* Thu Sep 28 2006 Jeremy Katz <katzj@redhat.com> - 1.2.1-1
- remember to include the new pup icon

* Thu Sep 28 2006 Jeremy Katz <katzj@redhat.com> - 1.2.0-1
- Fix group deselect (#208363)
- Give notification if update checks are failing (#208154)
- Show list by default in pirut if no repos enabled
- Disable line wrapping in update details (lmacken)
- Catch an error when opening rpm (#205278)
- Fix pixmap display (#207748)
- Don't spew exceptions if puplet can't connect to yum-updatesd (#207724)

* Tue Sep 19 2006 Jeremy Katz <katzj@redhat.com> - 1.1.16-1
- Fix a traceback (#207067)
- Fix refresh after installing (#207051) 

* Wed Sep 13 2006 Jeremy Katz <katzj@redhat.com> - 1.1.15-1
- Fix up package selection in package list
- UI improvements 

* Wed Sep 13 2006 Jeremy Katz <katzj@redhat.com> - 1.1.14-1
- Allow continuing to do stuff instead of existing after applying 
  changes (#182499)
- Some optimizations for list view

* Wed Sep 13 2006 Jeremy Katz <katzj@redhat.com> - 1.1.13-1
- Fix cdinstaller (#205557)
- Fix single package installer for yum api changes (#205890)
- Handle 1 vs many in puplet (#205924)
- Make text more obvious on install vs remove (#182492)
- Make sure we don't remove "necessary" packages (#188495)
- Fix display of gpg key info (#186217)
- Improve responsiveness of progressbars some (#186787)
- Try to ensure the puplet bubble points to the right place (#203652)
- Handle multiple selections in the group selector
- Some searching UI improvements (#186082)

* Wed Sep  6 2006 Jeremy Katz <katzj@redhat.com> - 1.1.12-1
- minor fix

* Wed Sep  6 2006 Jeremy Katz <katzj@redhat.com> - 1.1.11-1
- Some minor fixes
- Catch a download error (#204957)
- Clean up after cancelling the dep check (#205027)

* Tue Sep  5 2006 Jeremy Katz <katzj@redhat.com> - 1.1.10-1
- Don't pop up the puplet notification more than once
- Some updates for yum API deprecations

* Mon Aug 21 2006 Jeremy Katz <katzj@redhat.com> - 1.1.9-1
- Support from lmacken for displaying information from update metadata
- Support from lmacken for using libnotify to give information about 
  available updates in puplet
- Fix focus grabbing (#202536)

* Mon Aug 14 2006 Luke Macken <lmacken@redhat.com> - 1.1.8-2
- Require notify-python

* Sun Jul 30 2006 Jeremy Katz <katzj@redhat.com> - 1.1.8-1
- Fix traceback (clumens, #200515)

* Thu Jul 27 2006 Jeremy Katz <katzj@redhat.com> - 1.1.7-1
- Handle uncategorized groups better, especially for cdinstall-helper
- Fix missing comma in rebootpkgs list (lmacken)
- Fix key import

* Wed Jul 12 2006 Jeremy Katz <katzj@redhat.com> - 1.1.6-1
- Port puplet to use GtkStatusIcon instead of EggTrayIcon
- Fix some misc bugs
- Add system-cdinstall-helper for extra CDs of packages (note: this will 
  currently only handle a single CD and not multi-CD sets) 
- Make puplet exit if we can't consistently connect to yum-updatesd

* Wed Jun 28 2006 Jeremy Katz <katzj@redhat.com> - 1.1.5-1
- mark reboot later for translation (#196358)
- add nl translations (#196557)
- updates for yum 2.9.2
- catch error if downloaded file gets deleted (#197167)

* Tue Jun 20 2006 Jeremy Katz <katzj@redhat.com> - 1.1.4-1
- work with either yum 2.9.0 or 2.9.1

* Thu Jun 15 2006 Bill Nottingham <notting@redhat.com> - 1.1.3-1
- add pygobject2 dep

* Wed Jun 14 2006 Jeremy Katz <katzj@redhat.com> - 1.1.1-1
- add puplet

* Mon Jun 12 2006 Jeremy Katz <katzj@redhat.com> - 1.1.0-1
- Update for yum 2.9.0 API
- Handle missing summaries (bretm)
- Fix BuildRequires (#194071)

* Mon Jun  5 2006 Jeremy Katz <katzj@redhat.com>
- fix buildrequires (#194071)

* Mon May 15 2006 Jeremy Katz <katzj@redhat.com> - 1.0.3-1
- fix plugin type bug (#191630)
- keep apply at bottom of the window (#191721)
- Catch config errors and give a nice dialog (#191013)
- Allow --config with pirut (#189804)

* Wed Apr 12 2006 Jeremy Katz <katzj@redhat.com> - 1.0.2-1
- Fix traceback with no groups defined (#186545)
- Mark desktop files for translation (#188319)
- Catch mirror error (#184326)
- Change display name for package installer (#185169)
- Improve progress bar updating a little
- Require rhpl (#186796)
- Add status bar and progress for searching from James Bowes (#186977)
- Grab focus for search entry by default (#187597)
- Give better error message about no network (#188529)

* Fri Mar  3 2006 Jeremy Katz <katzj@redhat.com> - 1.0.1-1
- Ensure we unlock things on exit (#183882)

* Fri Mar  3 2006 Jeremy Katz <katzj@redhat.com> - 1.0.0-1
- Fix formatting in reboot dialog (#183597)
- Show category pixbuf if there's not one for the group (#183545)
- Ensure groups are shown as selected
- Catch locking error (#183685)

* Tue Feb 28 2006 Jeremy Katz <katzj@redhat.com> - 0.9.17-1
- Fix package selection traceback (#183310)
- Lock the yum pid file when pirut tools are running (#183311)
- Give feedback during group selection (#183307)
- Fix display of urllib2 encoded strings (#183111)

* Mon Feb 27 2006 Jeremy Katz <katzj@redhat.com> - 0.9.16-1
- Fix optional package searching (#182555)
- Catch errors when downloading metadata (#178641)
- Some UI changes from Simon Lanzmich (#182644)
- More UI changes from jrb 

* Wed Feb 22 2006 Jeremy Katz <katzj@redhat.com> - 0.9.15-1
- actually find the images

* Wed Feb 22 2006 Jeremy Katz <katzj@redhat.com> - 0.9.14-1
- fix traceback on right click (#182360)
- add hal and dbus to pup's reboot list
- new images from dfong
- allow stopping the search, requires yum 2.5.3

* Wed Feb 22 2006 Jeremy Katz <katzj@redhat.com> - 0.9.13-1
- add files

* Tue Feb 21 2006 Jeremy Katz <katzj@redhat.com> - 0.9.12-1
- enable search functionality

* Tue Feb 21 2006 Jeremy Katz <katzj@redhat.com> - 0.9.11-1
- Don't try to install source packages (#180048)
- Fix wrong error name (#181370)
- Ensure group is selected for select all
- Log installs from all tools in yum.log (#182126)
- Don't traceback on servers not telling us the size (#181890)
- Start of work for search to work
- Add some details about what's selected for install/remove (#182126)

* Sat Feb  4 2006 Jeremy Katz <katzj@redhat.com> - 0.9.10-1
- Add a popup menu for selecting all/none of the optional packages in a group
- Speed up pirut startup and list mode a bit

* Fri Feb  3 2006 Jeremy Katz <katzj@redhat.com> - 0.9.9-1
- Just use the group name when we don't have a description (#178089)
- Require actually clicking on the checkboxes, not the text (#178090)
- Make browse view a little bit more obvious (#178091)
- Fix selection in list filters (#179210)
- Fix searching in list view (#179839)
- Fix searching in optional packages list
- Allow unsigned packages with a suitably scary warning on installing 
  single packages (#178908)

* Thu Feb  2 2006 Jeremy Katz <katzj@redhat.com> - 0.9.8-1
- Some fixes to single-install-packages from Tim Lauridsen (#178908)
- Tweaks to the optional packages installed label (#178088, #179205)

* Tue Jan 24 2006 Jeremy Katz <katzj@redhat.com> - 0.9.7-1
- Make the single package installer only read the repo data if we need 
  to resolve a dep
- Add a shadow to a scrolledwindow for jrb

* Tue Jan 24 2006 Jeremy Katz <katzj@redhat.com> - 0.9.6-1
- Make it so that translations actually work
- Add a progress callback for time intensive parts of pup/pirut startup
- Fix icons for desktop files

* Fri Jan 20 2006 Jeremy Katz <katzj@redhat.com> - 0.9.5-1
- Fix a traceback (#177826)
- "Reboot later" instead of "Cancel" (#177909)
- Fix traceback for not importing pango (#177973)
- Add new system-install-packages

* Sat Jan 14 2006 Jeremy Katz <katzj@redhat.com> - 0.9.4-1
- add pup here
- fix file logging
- dialog to say that updates/installs completed successfully

* Mon Jan  9 2006 Jeremy Katz <katzj@redhat.com> - 0.9.2-1
- noarch
- actually add the __init__.py
- add translations

* Mon Jan  9 2006 Jeremy Katz <katzj@redhat.com> - 0.9.1-1
- fix the obvious problem
- obsolete s-c-packages

* Mon Jan  9 2006 Jeremy Katz <katzj@redhat.com>
- Initial build.

